| Home | Libraries | People | FAQ | More

#### subtract_point

Subtracts a point to another.

###### Description

The coordinates of the second point will be subtracted to those of the first point. The second point is not modified.

###### Synopsis

    template<typename Point1, typename Point2>
    void subtract_point(Point1 & p1, Point2 const & p2)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Point1 & |  | p1 | first point
Point2 const & |  | p2 | second point

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/arithmetic/arithmetic.hpp>`